package com.chenyang.druid.sql.dialect.mariadb.ast.clause;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.statement.SQLSelect;
import com.chenyang.druid.sql.dialect.mariadb.ast.statement.MariadbStatementImpl;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class MariadbSelectIntoStatement extends MariadbStatementImpl {
   private SQLSelect select;
   private List<SQLExpr> varList = new ArrayList();

   public SQLSelect getSelect() {
      return this.select;
   }

   public void setSelect(SQLSelect select) {
      this.select = select;
   }

   public List<SQLExpr> getVarList() {
      return this.varList;
   }

   public void setVarList(List<SQLExpr> varList) {
      this.varList = varList;
   }

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.select);
         this.acceptChild(visitor, this.varList);
      }

      visitor.endVisit(this);
   }
}
